Note, there are at least two similar looking versions of the iCEblink40 evaluation board:
-iCEblink40-HX1K
-iCEblink40-LP1K

This example assumes the iCEblink40-HX1K board. 
The iCEblink40-LP1K is *not* compatible with this example without modification.

The iCEblink40 boards have an on-board programmer with USB interface from Digilent.
You need iCEburn to program the FPGA via this interface (or the original vendor
tools).
https://github.com/davidcarne/iceBurn
